import { renderless, api } from "@dft-vue-2-opentiny/vue-renderless/time-range/vue";
import { defineComponent, $prefix, setup as _setup } from "@dft-vue-2-opentiny/vue-common";
import TimeSpinner from "@dft-vue-2-opentiny/vue-time-spinner";
function normalizeComponent(scriptExports, render, staticRenderFns, functionalTemplate, injectStyles, scopeId, moduleIdentifier, shadowMode) {
  var options = typeof scriptExports === "function" ? scriptExports.options : scriptExports;
  if (render) {
    options.render = render;
    options.staticRenderFns = staticRenderFns;
    options._compiled = true;
  }
  if (functionalTemplate) {
    options.functional = true;
  }
  if (scopeId) {
    options._scopeId = "data-v-" + scopeId;
  }
  var hook;
  if (moduleIdentifier) {
    hook = function hook2(context) {
      context = context || // cached call
      this.$vnode && this.$vnode.ssrContext || // stateful
      this.parent && this.parent.$vnode && this.parent.$vnode.ssrContext;
      if (!context && typeof __VUE_SSR_CONTEXT__ !== "undefined") {
        context = __VUE_SSR_CONTEXT__;
      }
      if (injectStyles) {
        injectStyles.call(this, context);
      }
      if (context && context._registeredComponents) {
        context._registeredComponents.add(moduleIdentifier);
      }
    };
    options._ssrRegister = hook;
  } else if (injectStyles) {
    hook = shadowMode ? function() {
      injectStyles.call(this, (options.functional ? this.parent : this).$root.$options.shadowRoot);
    } : injectStyles;
  }
  if (hook) {
    if (options.functional) {
      options._injectStyles = hook;
      var originalRender = options.render;
      options.render = function renderWithStyleInjection(h, context) {
        hook.call(context);
        return originalRender(h, context);
      };
    } else {
      var existing = options.beforeCreate;
      options.beforeCreate = existing ? [].concat(existing, hook) : [hook];
    }
  }
  return {
    exports: scriptExports,
    options
  };
}

import "@dft-vue-2-opentiny/vue-theme/time-range/index.css";
var __vue2_script = defineComponent({
  name: $prefix + "TimeRange",
  emits: ["dodestroy", "pick", "select-range"],
  components: {
    TimeSpinner
  },
  props: {
    emitter: Object
  },
  setup: function setup(props, context) {
    return _setup({
      props,
      context,
      renderless,
      api,
      mono: true
    });
  }
});
var render = function render2() {
  var _vm = this;
  var _h = _vm.$createElement;
  var _c = _vm._self._c || _h;
  return _c("transition", {
    attrs: {
      "name": "tiny-zoom-in-top"
    },
    on: {
      "after-leave": function afterLeave($event) {
        return _vm.$emit("dodestroy");
      }
    }
  }, [_c("div", {
    directives: [{
      name: "show",
      rawName: "v-show",
      value: _vm.state.visible,
      expression: "state.visible"
    }],
    staticClass: "tiny-time-range-picker tiny-picker-panel tiny-popper",
    class: _vm.state.popperClass
  }, [_c("div", {
    staticClass: "tiny-time-range-picker__content"
  }, [_c("div", {
    staticClass: "tiny-time-range-picker__cell"
  }, [_c("div", {
    staticClass: "tiny-time-range-picker__header"
  }, [_vm._v(" " + _vm._s(_vm.t("ui.datepicker.startTime")) + " ")]), _c("div", {
    staticClass: "tiny-time-range-picker__body tiny-time-panel__content",
    class: {
      "has-seconds": _vm.state.showSeconds,
      "is-arrow": _vm.state.arrowControl
    }
  }, [_c("time-spinner", {
    ref: "minSpinner",
    attrs: {
      "show-seconds": _vm.state.showSeconds,
      "am-pm-mode": _vm.state.amPmMode,
      "arrow-control": _vm.state.arrowControl,
      "date": _vm.state.minDate
    },
    on: {
      "change": _vm.handleMinChange,
      "select-range": _vm.setMinSelectionRange
    }
  })], 1)]), _c("div", {
    staticClass: "tiny-time-range-picker__cell"
  }, [_c("div", {
    staticClass: "tiny-time-range-picker__header"
  }, [_vm._v(" " + _vm._s(_vm.t("ui.datepicker.endTime")) + " ")]), _c("div", {
    staticClass: "tiny-time-range-picker__body tiny-time-panel__content",
    class: {
      "has-seconds": _vm.state.showSeconds,
      "is-arrow": _vm.state.arrowControl
    }
  }, [_c("time-spinner", {
    ref: "maxSpinner",
    attrs: {
      "show-seconds": _vm.state.showSeconds,
      "am-pm-mode": _vm.state.amPmMode,
      "arrow-control": _vm.state.arrowControl,
      "date": _vm.state.maxDate
    },
    on: {
      "change": _vm.handleMaxChange,
      "select-range": _vm.setMaxSelectionRange
    }
  })], 1)])]), _c("div", {
    staticClass: "tiny-time-panel__footer"
  }, [_c("button", {
    staticClass: "tiny-time-panel__btn cancel",
    attrs: {
      "type": "button"
    },
    on: {
      "click": function click($event) {
        return _vm.handleCancel();
      }
    }
  }, [_vm._v(" " + _vm._s(_vm.t("ui.datepicker.cancel")) + " ")]), _c("button", {
    staticClass: "tiny-time-panel__btn confirm",
    attrs: {
      "type": "button",
      "disabled": _vm.state.btnDisabled
    },
    on: {
      "click": function click($event) {
        return _vm.handleConfirm();
      }
    }
  }, [_vm._v(" " + _vm._s(_vm.t("ui.datepicker.confirm")) + " ")])])])]);
};
var staticRenderFns = [];
var __cssModules = {};
var __component__ = /* @__PURE__ */ normalizeComponent(__vue2_script, render, staticRenderFns, false, __vue2_injectStyles, null, null, null);
function __vue2_injectStyles(context) {
  for (var o in __cssModules) {
    this[o] = __cssModules[o];
  }
}
var TimeRange = /* @__PURE__ */ function() {
  return __component__.exports;
}();
var version = "2.8.0";
TimeRange.install = function(Vue) {
  Vue.component(TimeRange.name, TimeRange);
};
TimeRange.version = version;
export {
  TimeRange as default
};
